---
search:
  tags:
    - environments
    - DELETE
seo:
  description: >-
    Deletes an environment, with its variables and… Reference for the DELETE
    /project/{project_id}/environment/{environment_id} endpoint in the Platform
    API.
sidebar:
  label: Delete an environment
  badge: DELETE
title: Delete an environment
type: openapi-operation
---
Deletes an environment, with its variables and secrets. This cannot be undone.

`DELETE /project/{project_id}/environment/{environment_id}`

**Responses**

- `204` — Environment deleted successfully
- `default` — Error
